import{s as ft,n as gt,o as ht}from"../chunks/scheduler.8c3d61f6.js";import{S as _t,i as vt,g as a,s as n,r as u,A as bt,h as d,f as o,c as s,j as _,u as m,x as v,k as b,y as t,a as c,v as p,d as f,t as g,w as h}from"../chunks/index.da70eac4.js";import{D as $}from"../chunks/Docstring.6b390b9a.js";import{C as $t}from"../chunks/CodeBlock.00a903b3.js";import{H as Ke,E as xt}from"../chunks/EditOnGithub.1e64e623.js";function wt(Je){let w,ue,le,me,k,pe,X,Qe='The 3D variational autoencoder (VAE) model with KL loss used in <a href="https://github.com/THUDM/CogVideo" rel="nofollow">CogVideoX</a> was introduced in <a href="https://github.com/THUDM/CogVideo/blob/main/resources/CogVideoX.pdf" rel="nofollow">CogVideoX: Text-to-Video Diffusion Models with An Expert Transformer</a> by Tsinghua University &amp; ZhipuAI.',fe,K,et="The model can be loaded with the following code snippet.",ge,E,he,M,_e,i,O,Ee,j,tt=`A VAE model with KL loss for encoding images into latents and decoding latent representations into images. Used in
<a href="https://github.com/THUDM/CogVideo" rel="nofollow">CogVideoX</a>.`,Me,Y,ot=`This model inherits from <a href="/docs/diffusers/v0.31.0/en/api/models/overview#diffusers.ModelMixin">ModelMixin</a>. Check the superclass documentation for it’s generic methods implemented
for all models (such as downloading or saving).`,Oe,F,U,Ue,J,H,He,y,z,ze,Q,nt=`Disable sliced VAE decoding. If <code>enable_slicing</code> was previously enabled, this method will go back to computing
decoding in one step.`,Ie,L,I,Pe,ee,st=`Disable tiled VAE decoding. If <code>enable_tiling</code> was previously enabled, this method will go back to computing
decoding in one step.`,qe,D,P,Ne,te,rt=`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`,Ze,T,q,Be,oe,it=`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful for saving a large amount of memory and to allow
processing larger images.`,Ge,A,N,Se,ne,at="Decode a batch of images using a tiled decoder.",We,x,Z,Re,se,dt="Encode a batch of images using a tiled encoder.",je,re,lt=`When this option is enabled, the VAE will split the input tensor into tiles to compute encoding in several
steps. This is useful to keep memory use constant regardless of image size. The end result of tiled encoding is
different from non-tiled encoding because each tile uses a different encoder. To avoid tiling artifacts, the
tiles overlap and are blended together to form a smooth output. You may still see tile-sized changes in the
output, but they should be much less noticeable.`,ve,B,be,C,G,Ye,ie,ct="Output of AutoencoderKL encoding method.",$e,S,xe,V,W,Fe,ae,ut="Output of decoding method.",we,R,Ce,ce,Ve;return k=new Ke({props:{title:"AutoencoderKLCogVideoX",local:"autoencoderklcogvideox",headingTag:"h1"}}),E=new $t({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMEF1dG9lbmNvZGVyS0xDb2dWaWRlb1glMEElMEF2YWUlMjAlM0QlMjBBdXRvZW5jb2RlcktMQ29nVmlkZW9YLmZyb21fcHJldHJhaW5lZCglMjJUSFVETSUyRkNvZ1ZpZGVvWC0yYiUyMiUyQyUyMHN1YmZvbGRlciUzRCUyMnZhZSUyMiUyQyUyMHRvcmNoX2R0eXBlJTNEdG9yY2guZmxvYXQxNikudG8oJTIyY3VkYSUyMik=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> AutoencoderKLCogVideoX

vae = AutoencoderKLCogVideoX.from_pretrained(<span class="hljs-string">&quot;THUDM/CogVideoX-2b&quot;</span>, subfolder=<span class="hljs-string">&quot;vae&quot;</span>, torch_dtype=torch.float16).to(<span class="hljs-string">&quot;cuda&quot;</span>)`,wrap:!1}}),M=new Ke({props:{title:"AutoencoderKLCogVideoX",local:"diffusers.AutoencoderKLCogVideoX",headingTag:"h2"}}),O=new $({props:{name:"class diffusers.AutoencoderKLCogVideoX",anchor:"diffusers.AutoencoderKLCogVideoX",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": Tuple = ('CogVideoXDownBlock3D', 'CogVideoXDownBlock3D', 'CogVideoXDownBlock3D', 'CogVideoXDownBlock3D')"},{name:"up_block_types",val:": Tuple = ('CogVideoXUpBlock3D', 'CogVideoXUpBlock3D', 'CogVideoXUpBlock3D', 'CogVideoXUpBlock3D')"},{name:"block_out_channels",val:": Tuple = (128, 256, 256, 512)"},{name:"latent_channels",val:": int = 16"},{name:"layers_per_block",val:": int = 3"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_eps",val:": float = 1e-06"},{name:"norm_num_groups",val:": int = 32"},{name:"temporal_compression_ratio",val:": float = 4"},{name:"sample_height",val:": int = 480"},{name:"sample_width",val:": int = 720"},{name:"scaling_factor",val:": float = 1.15258426"},{name:"shift_factor",val:": Optional = None"},{name:"latents_mean",val:": Optional = None"},{name:"latents_std",val:": Optional = None"},{name:"force_upcast",val:": float = True"},{name:"use_quant_conv",val:": bool = False"},{name:"use_post_quant_conv",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLCogVideoX.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.AutoencoderKLCogVideoX.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.AutoencoderKLCogVideoX.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;DownEncoderBlock2D&quot;,)</code>) &#x2014;
Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.AutoencoderKLCogVideoX.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpDecoderBlock2D&quot;,)</code>) &#x2014;
Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.AutoencoderKLCogVideoX.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(64,)</code>) &#x2014;
Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.AutoencoderKLCogVideoX.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.AutoencoderKLCogVideoX.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; Sample input size.",name:"sample_size"},{anchor:"diffusers.AutoencoderKLCogVideoX.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1.15258426</code>) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"},{anchor:"diffusers.AutoencoderKLCogVideoX.force_upcast",description:`<strong>force_upcast</strong> (<code>bool</code>, <em>optional</em>, default to <code>True</code>) &#x2014;
If enabled it will force the VAE to run in float32 for high image resolution pipelines, such as SD-XL. VAE
can be fine-tuned / trained to a lower range without loosing too much precision in which case
<code>force_upcast</code> can be set to <code>False</code> - see: <a href="https://huggingface.co/madebyollin/sdxl-vae-fp16-fix" rel="nofollow">https://huggingface.co/madebyollin/sdxl-vae-fp16-fix</a>`,name:"force_upcast"}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L984"}}),U=new $({props:{name:"wrapper",anchor:"diffusers.AutoencoderKLCogVideoX.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/utils/accelerate_utils.py#L43"}}),H=new $({props:{name:"wrapper",anchor:"diffusers.AutoencoderKLCogVideoX.encode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/utils/accelerate_utils.py#L43"}}),z=new $({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderKLCogVideoX.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1170"}}),I=new $({props:{name:"disable_tiling",anchor:"diffusers.AutoencoderKLCogVideoX.disable_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1156"}}),P=new $({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderKLCogVideoX.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1163"}}),q=new $({props:{name:"enable_tiling",anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling",parameters:[{name:"tile_sample_min_height",val:": Optional = None"},{name:"tile_sample_min_width",val:": Optional = None"},{name:"tile_overlap_factor_height",val:": Optional = None"},{name:"tile_overlap_factor_width",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_sample_min_height",description:`<strong>tile_sample_min_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum height required for a sample to be separated into tiles across the height dimension.`,name:"tile_sample_min_height"},{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_sample_min_width",description:`<strong>tile_sample_min_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum width required for a sample to be separated into tiles across the width dimension.`,name:"tile_sample_min_width"},{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_overlap_factor_height",description:`<strong>tile_overlap_factor_height</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum amount of overlap between two consecutive vertical tiles. This is to ensure that there are
no tiling artifacts produced across the height dimension. Must be between 0 and 1. Setting a higher
value might cause more tiles to be processed leading to slow down of the decoding process.`,name:"tile_overlap_factor_height"},{anchor:"diffusers.AutoencoderKLCogVideoX.enable_tiling.tile_overlap_factor_width",description:`<strong>tile_overlap_factor_width</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The minimum amount of overlap between two consecutive horizontal tiles. This is to ensure that there
are no tiling artifacts produced across the width dimension. Must be between 0 and 1. Setting a higher
value might cause more tiles to be processed leading to slow down of the decoding process.`,name:"tile_overlap_factor_width"}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1120"}}),N=new $({props:{name:"tiled_decode",anchor:"diffusers.AutoencoderKLCogVideoX.tiled_decode",parameters:[{name:"z",val:": Tensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLCogVideoX.tiled_decode.z",description:"<strong>z</strong> (<code>torch.Tensor</code>) &#x2014; Input batch of latent vectors.",name:"z"},{anchor:"diffusers.AutoencoderKLCogVideoX.tiled_decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>~models.vae.DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1374",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is True, a <code>~models.vae.DecoderOutput</code> is returned, otherwise a plain <code>tuple</code> is
returned.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>~models.vae.DecoderOutput</code> or <code>tuple</code></p>
`}}),Z=new $({props:{name:"tiled_encode",anchor:"diffusers.AutoencoderKLCogVideoX.tiled_encode",parameters:[{name:"x",val:": Tensor"}],parametersDescription:[{anchor:"diffusers.AutoencoderKLCogVideoX.tiled_encode.x",description:"<strong>x</strong> (<code>torch.Tensor</code>) &#x2014; Input batch of videos.",name:"x"}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/autoencoder_kl_cogvideox.py#L1300",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The latent representation of the encoded videos.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),B=new Ke({props:{title:"AutoencoderKLOutput",local:"diffusers.models.modeling_outputs.AutoencoderKLOutput",headingTag:"h2"}}),G=new $({props:{name:"class diffusers.models.modeling_outputs.AutoencoderKLOutput",anchor:"diffusers.models.modeling_outputs.AutoencoderKLOutput",parameters:[{name:"latent_dist",val:": DiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.modeling_outputs.AutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>DiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>DiagonalGaussianDistribution</code>.
<code>DiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/modeling_outputs.py#L6"}}),S=new Ke({props:{title:"DecoderOutput",local:"diffusers.models.autoencoders.vae.DecoderOutput",headingTag:"h2"}}),W=new $({props:{name:"class diffusers.models.autoencoders.vae.DecoderOutput",anchor:"diffusers.models.autoencoders.vae.DecoderOutput",parameters:[{name:"sample",val:": Tensor"},{name:"commit_loss",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.models.autoencoders.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
The decoded output sample from the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.31.0/src/diffusers/models/autoencoders/vae.py#L33"}}),R=new xt({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/models/autoencoderkl_cogvideox.md"}}),{c(){w=a("meta"),ue=n(),le=a("p"),me=n(),u(k.$$.fragment),pe=n(),X=a("p"),X.innerHTML=Qe,fe=n(),K=a("p"),K.textContent=et,ge=n(),u(E.$$.fragment),he=n(),u(M.$$.fragment),_e=n(),i=a("div"),u(O.$$.fragment),Ee=n(),j=a("p"),j.innerHTML=tt,Me=n(),Y=a("p"),Y.innerHTML=ot,Oe=n(),F=a("div"),u(U.$$.fragment),Ue=n(),J=a("div"),u(H.$$.fragment),He=n(),y=a("div"),u(z.$$.fragment),ze=n(),Q=a("p"),Q.innerHTML=nt,Ie=n(),L=a("div"),u(I.$$.fragment),Pe=n(),ee=a("p"),ee.innerHTML=st,qe=n(),D=a("div"),u(P.$$.fragment),Ne=n(),te=a("p"),te.textContent=rt,Ze=n(),T=a("div"),u(q.$$.fragment),Be=n(),oe=a("p"),oe.textContent=it,Ge=n(),A=a("div"),u(N.$$.fragment),Se=n(),ne=a("p"),ne.textContent=at,We=n(),x=a("div"),u(Z.$$.fragment),Re=n(),se=a("p"),se.textContent=dt,je=n(),re=a("p"),re.textContent=lt,ve=n(),u(B.$$.fragment),be=n(),C=a("div"),u(G.$$.fragment),Ye=n(),ie=a("p"),ie.textContent=ct,$e=n(),u(S.$$.fragment),xe=n(),V=a("div"),u(W.$$.fragment),Fe=n(),ae=a("p"),ae.textContent=ut,we=n(),u(R.$$.fragment),Ce=n(),ce=a("p"),this.h()},l(e){const r=bt("svelte-u9bgzb",document.head);w=d(r,"META",{name:!0,content:!0}),r.forEach(o),ue=s(e),le=d(e,"P",{}),_(le).forEach(o),me=s(e),m(k.$$.fragment,e),pe=s(e),X=d(e,"P",{"data-svelte-h":!0}),v(X)!=="svelte-1996cgd"&&(X.innerHTML=Qe),fe=s(e),K=d(e,"P",{"data-svelte-h":!0}),v(K)!=="svelte-1vuni30"&&(K.textContent=et),ge=s(e),m(E.$$.fragment,e),he=s(e),m(M.$$.fragment,e),_e=s(e),i=d(e,"DIV",{class:!0});var l=_(i);m(O.$$.fragment,l),Ee=s(l),j=d(l,"P",{"data-svelte-h":!0}),v(j)!=="svelte-1rg6lrb"&&(j.innerHTML=tt),Me=s(l),Y=d(l,"P",{"data-svelte-h":!0}),v(Y)!=="svelte-185zxbv"&&(Y.innerHTML=ot),Oe=s(l),F=d(l,"DIV",{class:!0});var mt=_(F);m(U.$$.fragment,mt),mt.forEach(o),Ue=s(l),J=d(l,"DIV",{class:!0});var pt=_(J);m(H.$$.fragment,pt),pt.forEach(o),He=s(l),y=d(l,"DIV",{class:!0});var ye=_(y);m(z.$$.fragment,ye),ze=s(ye),Q=d(ye,"P",{"data-svelte-h":!0}),v(Q)!=="svelte-189cc7b"&&(Q.innerHTML=nt),ye.forEach(o),Ie=s(l),L=d(l,"DIV",{class:!0});var Le=_(L);m(I.$$.fragment,Le),Pe=s(Le),ee=d(Le,"P",{"data-svelte-h":!0}),v(ee)!=="svelte-1f366pl"&&(ee.innerHTML=st),Le.forEach(o),qe=s(l),D=d(l,"DIV",{class:!0});var De=_(D);m(P.$$.fragment,De),Ne=s(De),te=d(De,"P",{"data-svelte-h":!0}),v(te)!=="svelte-14bnrb6"&&(te.textContent=rt),De.forEach(o),Ze=s(l),T=d(l,"DIV",{class:!0});var Te=_(T);m(q.$$.fragment,Te),Be=s(Te),oe=d(Te,"P",{"data-svelte-h":!0}),v(oe)!=="svelte-1xwrf7t"&&(oe.textContent=it),Te.forEach(o),Ge=s(l),A=d(l,"DIV",{class:!0});var Ae=_(A);m(N.$$.fragment,Ae),Se=s(Ae),ne=d(Ae,"P",{"data-svelte-h":!0}),v(ne)!=="svelte-1vrxp2b"&&(ne.textContent=at),Ae.forEach(o),We=s(l),x=d(l,"DIV",{class:!0});var de=_(x);m(Z.$$.fragment,de),Re=s(de),se=d(de,"P",{"data-svelte-h":!0}),v(se)!=="svelte-1un5fcn"&&(se.textContent=dt),je=s(de),re=d(de,"P",{"data-svelte-h":!0}),v(re)!=="svelte-lbfkqr"&&(re.textContent=lt),de.forEach(o),l.forEach(o),ve=s(e),m(B.$$.fragment,e),be=s(e),C=d(e,"DIV",{class:!0});var ke=_(C);m(G.$$.fragment,ke),Ye=s(ke),ie=d(ke,"P",{"data-svelte-h":!0}),v(ie)!=="svelte-1vsc7ag"&&(ie.textContent=ct),ke.forEach(o),$e=s(e),m(S.$$.fragment,e),xe=s(e),V=d(e,"DIV",{class:!0});var Xe=_(V);m(W.$$.fragment,Xe),Fe=s(Xe),ae=d(Xe,"P",{"data-svelte-h":!0}),v(ae)!=="svelte-18u8upa"&&(ae.textContent=ut),Xe.forEach(o),we=s(e),m(R.$$.fragment,e),Ce=s(e),ce=d(e,"P",{}),_(ce).forEach(o),this.h()},h(){b(w,"name","hf:doc:metadata"),b(w,"content",Ct),b(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),b(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){t(document.head,w),c(e,ue,r),c(e,le,r),c(e,me,r),p(k,e,r),c(e,pe,r),c(e,X,r),c(e,fe,r),c(e,K,r),c(e,ge,r),p(E,e,r),c(e,he,r),p(M,e,r),c(e,_e,r),c(e,i,r),p(O,i,null),t(i,Ee),t(i,j),t(i,Me),t(i,Y),t(i,Oe),t(i,F),p(U,F,null),t(i,Ue),t(i,J),p(H,J,null),t(i,He),t(i,y),p(z,y,null),t(y,ze),t(y,Q),t(i,Ie),t(i,L),p(I,L,null),t(L,Pe),t(L,ee),t(i,qe),t(i,D),p(P,D,null),t(D,Ne),t(D,te),t(i,Ze),t(i,T),p(q,T,null),t(T,Be),t(T,oe),t(i,Ge),t(i,A),p(N,A,null),t(A,Se),t(A,ne),t(i,We),t(i,x),p(Z,x,null),t(x,Re),t(x,se),t(x,je),t(x,re),c(e,ve,r),p(B,e,r),c(e,be,r),c(e,C,r),p(G,C,null),t(C,Ye),t(C,ie),c(e,$e,r),p(S,e,r),c(e,xe,r),c(e,V,r),p(W,V,null),t(V,Fe),t(V,ae),c(e,we,r),p(R,e,r),c(e,Ce,r),c(e,ce,r),Ve=!0},p:gt,i(e){Ve||(f(k.$$.fragment,e),f(E.$$.fragment,e),f(M.$$.fragment,e),f(O.$$.fragment,e),f(U.$$.fragment,e),f(H.$$.fragment,e),f(z.$$.fragment,e),f(I.$$.fragment,e),f(P.$$.fragment,e),f(q.$$.fragment,e),f(N.$$.fragment,e),f(Z.$$.fragment,e),f(B.$$.fragment,e),f(G.$$.fragment,e),f(S.$$.fragment,e),f(W.$$.fragment,e),f(R.$$.fragment,e),Ve=!0)},o(e){g(k.$$.fragment,e),g(E.$$.fragment,e),g(M.$$.fragment,e),g(O.$$.fragment,e),g(U.$$.fragment,e),g(H.$$.fragment,e),g(z.$$.fragment,e),g(I.$$.fragment,e),g(P.$$.fragment,e),g(q.$$.fragment,e),g(N.$$.fragment,e),g(Z.$$.fragment,e),g(B.$$.fragment,e),g(G.$$.fragment,e),g(S.$$.fragment,e),g(W.$$.fragment,e),g(R.$$.fragment,e),Ve=!1},d(e){e&&(o(ue),o(le),o(me),o(pe),o(X),o(fe),o(K),o(ge),o(he),o(_e),o(i),o(ve),o(be),o(C),o($e),o(xe),o(V),o(we),o(Ce),o(ce)),o(w),h(k,e),h(E,e),h(M,e),h(O),h(U),h(H),h(z),h(I),h(P),h(q),h(N),h(Z),h(B,e),h(G),h(S,e),h(W),h(R,e)}}}const Ct='{"title":"AutoencoderKLCogVideoX","local":"autoencoderklcogvideox","sections":[{"title":"AutoencoderKLCogVideoX","local":"diffusers.AutoencoderKLCogVideoX","sections":[],"depth":2},{"title":"AutoencoderKLOutput","local":"diffusers.models.modeling_outputs.AutoencoderKLOutput","sections":[],"depth":2},{"title":"DecoderOutput","local":"diffusers.models.autoencoders.vae.DecoderOutput","sections":[],"depth":2}],"depth":1}';function Vt(Je){return ht(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class kt extends _t{constructor(w){super(),vt(this,w,Vt,wt,ft,{})}}export{kt as component};
